import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		entity_id: commonLogic.appcommonhandle("标识",null),
		entity_name: commonLogic.appcommonhandle("实体名",null),
		logic_name: commonLogic.appcommonhandle("逻辑名称",null),
		code_name: commonLogic.appcommonhandle("代码名称",null),
		table_name: commonLogic.appcommonhandle("表名称",null),
		system_id: commonLogic.appcommonhandle("系统标识",null),
		system_name: commonLogic.appcommonhandle("系统",null),
		ds_id: commonLogic.appcommonhandle("数据源标识",null),
		ds_name: commonLogic.appcommonhandle("数据源",null),
		module_id: commonLogic.appcommonhandle("模块标识",null),
		module_name: commonLogic.appcommonhandle("模块",null),
		ext_params: commonLogic.appcommonhandle("扩展参数",null),
		show_order: commonLogic.appcommonhandle("排序",null),
		createdate: commonLogic.appcommonhandle("创建时间",null),
		updatedate: commonLogic.appcommonhandle("最后修改时间",null),
	},
		views: {
			pickupview: {
				caption: commonLogic.appcommonhandle("实体",null),
				title: commonLogic.appcommonhandle("实体数据选择视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("实体",null),
				title: commonLogic.appcommonhandle("实体编辑视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("实体",null),
				title: commonLogic.appcommonhandle("实体表格视图",null),
			},
			pickupgridview: {
				caption: commonLogic.appcommonhandle("实体",null),
				title: commonLogic.appcommonhandle("实体选择表格视图",null),
			},
		},
		main_form: {
			details: {
				druipart1: commonLogic.appcommonhandle("",null), 
				tabpage1: commonLogic.appcommonhandle("属性",null), 
				druipart2: commonLogic.appcommonhandle("",null), 
				tabpage2: commonLogic.appcommonhandle("关系",null), 
				druipart3: commonLogic.appcommonhandle("",null), 
				tabpage3: commonLogic.appcommonhandle("数据集",null), 
				tabpage4: commonLogic.appcommonhandle("扩展参数",null), 
				tabpanel1: commonLogic.appcommonhandle("",null), 
				group1: commonLogic.appcommonhandle("实体基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("最后修改时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("标识",null), 
				srfmajortext: commonLogic.appcommonhandle("实体名",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				entityname: commonLogic.appcommonhandle("实体名",null), 
				logicname: commonLogic.appcommonhandle("逻辑名称",null), 
				codename: commonLogic.appcommonhandle("代码名称",null), 
				tablename: commonLogic.appcommonhandle("表名称",null), 
				modulename: commonLogic.appcommonhandle("模块",null), 
				showorder: commonLogic.appcommonhandle("排序",null), 
				dsname: commonLogic.appcommonhandle("数据源",null), 
				systemid: commonLogic.appcommonhandle("系统标识",null), 
				dsid: commonLogic.appcommonhandle("数据源标识",null), 
				moduleid: commonLogic.appcommonhandle("模块标识",null), 
				extparams: commonLogic.appcommonhandle("扩展参数",null), 
				entityid: commonLogic.appcommonhandle("标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				entityname: commonLogic.appcommonhandle("实体名",null),
				codename: commonLogic.appcommonhandle("代码名称",null),
				logicname: commonLogic.appcommonhandle("逻辑名称",null),
				tablename: commonLogic.appcommonhandle("表名称",null),
				dsname: commonLogic.appcommonhandle("数据源",null),
				systemname: commonLogic.appcommonhandle("系统",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_logicname_like: commonLogic.appcommonhandle("逻辑名称(文本包含(%))",null), 
				n_entityname_like: commonLogic.appcommonhandle("实体名(文本包含(%))",null), 
				n_codename_eq: commonLogic.appcommonhandle("代码名称(=)",null), 
				n_tablename_like: commonLogic.appcommonhandle("表名称(文本包含(%))",null), 
				n_dsname_like: commonLogic.appcommonhandle("数据源(文本包含(%))",null), 
				n_systemid_eq: commonLogic.appcommonhandle("系统标识(等于(=))",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
		editviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("删除并关闭",null),
				tip: commonLogic.appcommonhandle("删除并关闭",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem12: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem14: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("保存并新建",null),
				tip: commonLogic.appcommonhandle("保存并新建",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("第一个记录",null),
				tip: commonLogic.appcommonhandle("第一个记录",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("上一个记录",null),
				tip: commonLogic.appcommonhandle("上一个记录",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("下一个记录",null),
				tip: commonLogic.appcommonhandle("下一个记录",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("最后一个记录",null),
				tip: commonLogic.appcommonhandle("最后一个记录",null),
			},
			tbitem22: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;